// 1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Цикли спрощують роботу, тим що виконують код автоматично, а точніше повторюють його допоки дійсна задана умова.

// 2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// - while: спочатку йде умова, а потім код. Цикл буде виконуватися, доки умова циклу є істинною. Якщо при вході в цикл 
//умова є хибною, цикл не буде виконано жодного разу. Також за допомогою циклу while можна зробити нескінченний цикл.
// - do...while: спершу один раз виконується код, далі перевіряється умова. Цикл ідентичний циклу while, різниця полягає лише 
//в тому що, цей цикл завжди виконається як мінімум один раз, навіть якщо умова циклу ніколи не буде істинною.
// - for: cпочатку умова, а потім код. За його допомогою дуже зручно перебирати будь-яку кількість інформації та окремі компоненти.
// Він має розширений синтаксис для умови, тобто в ньому можна задавати необхідні налаштування.
//
//3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
// - Неявне приведення типів відбувається автоматично, тобто JavaScript самостійно перетворює один тип даних на інший для 
//виконання певної операції. Найпоказовіший приклад, коли число додається до рядка.
// - Явне приведення типів не відбувається автоматично, його проводить розробник, коли потрібно явно перетворити значення на очікуваний тип.
//Існує 3 найбільш широко використовуваних перетворень: рядкове String(value), чисельне Number(value) та логічне Boolean (value).

let number;

do {
    number = +prompt("Please enter a number").trim();
} while ( number <= 0 || isNaN(number) || Number.isInteger(number) !== true);

if (number < 5) {
    console.log("Sorry, no numbers");
    }

for (let i = 0; i <= number; i++) {
    if (i % 5 === 0) {
        console.log(i);
    } 
  }



